#!/bin/bash
K=31
P=16

ln -s ../../Data/original/*.fastq .

sga preprocess -p 1  frag_[12].fastq > frag.pp.fa 
sga index -t $P frag.pp.fa

sga correct -k $K -i 10 -t $P frag.pp.fa -e 0.04 -m 45 -o frag.pp.ec.fa 
sga index -t $P frag.pp.ec.fa 

sga filter frag.pp.ec.fa  
sga overlap -m 45 -t $P frag.pp.ec.filter.pass.fa 

sga assemble frag.pp.ec.filter.pass.asqg.gz       

ln -s default-contigs.fa genome.ctg.fasta

#####################################################

sga-align --name frag  genome.ctg.fasta  frag_1.fastq frag_2.fastq
sga-align --name short genome.ctg.fasta  short_1.fastq short_2.fastq

sga-bam2de.pl -n 5 --prefix frag frag.bam
sga-astat.py  -m 200 frag.refsort.bam > genome.ctg.astat

sga-bam2de.pl -n 5 --prefix short short.bam

sga scaffold -m 200 --pe frag.de  --mate-pair short.de -a genome.ctg.astat -o genome.scaf genome.ctg.fasta
sga scaffold2fasta -m $MINLEN -f genome.ctg.fasta -o genome.scf.fasta genome.scaf --write-unplaced --use-overlap

