#!/usr/bin/perl -w

use strict;

use File::Basename;
use AMOS::AmosFoundation;
use AMOS::AmosLib;

my $base = new AMOS::AmosFoundation();    
die("ERROR: problems creating an AMOS::Foundation object\n") unless($base);

my $VERSION = '$Revision: 1.2 $ ';

my $PRG = fileparse($0);

my $HELP = qq~
Program that reverse complements FASTQ sequences.
	
	USAGE: 
		$PRG file	
~;

$base->setVersion($VERSION);
$base->setHelpText($HELP);


###############################################################################
#             
# Main program       
#
###############################################################################

MAIN:         
{
	my %options;
	my $result = $base->getOptions();
	$result or $base->bail("Command line parsing failed");
			   
        while(<>)
        {
                # @SRR001351.1.1 E8YURXS01ECEBV.1 length=285
                # TCAGGGGGGCAGTTACCTCGGAGCAAGGGCTGTGATCGAAGCATTGCAAAACAG
                # +SRR001351.1.1 E8YURXS01ECEBV.1 length=285
                # FFC000000CGFFFFFFFFFFFIIIIIIIIIIIIIIIIIIIIIIIIIIIFFFFF

                chomp;

                if($.%4==2)
                {
                        my $seq=$_;
                        $seq=~tr/acgtACGT/tgcaTGCA/;

                        my @seq=split //,$seq;
                        @seq=reverse(@seq);

                        $seq=join "",@seq;
                        print $seq,"\n";
                }
                elsif( $.%4==0)
                {
                        my $qlt=$_;

                        my @qlt=split //,$qlt;
                        @qlt=reverse(@qlt);

                        $qlt=join "",@qlt;
                        print $qlt,"\n";
                }
                else
                {
                        print $_,"\n";
                }
        }
     					
	exit 0;
}
